package org.rcisoft.business.buildtp.service;

import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.business.buildtp.entity.BuildTp;

import java.util.List;

/**
 * Created by  on 2018-4-3 10:11:34.
 */
public interface BuildTpService {

    /**
    * 保存 
    * @param buildTp
    * @return
    */
    PersistModel save(BuildTp buildTp);

    /**
    * 逻辑删除 
    * @param buildTp
    * @return
    */
     PersistModel remove(BuildTp buildTp);

    /**
    * 修改 
    * @param buildTp
    * @return
    */
    PersistModel merge(BuildTp buildTp);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BuildTp findById(String id);

    /**
    * 分页查询 
    * @param buildTp
    * @return
    */
    List<BuildTp> findAllByPagination(PageUtil<BuildTp> paginationUtility,
                                      BuildTp buildTp);




}
